this.name           = "cargoShepherd_magnet";
this.author         = "Thargoid";
this.copyright      = "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description    = "Ship script for Cargo Shepherd";
this.version        = "1.00";

this.scanForPods = function() 
	{ 
	function allPods(entity) {return entity.isShip && (entity.hasRole("cargopod") || (entity.isCargo && !entity.isPiloted))}; 
	let farList = system.filteredEntities(this, allPods, this.ship, 25600); 
	let nearList = system.filteredEntities(this, allPods, this.ship, 200); 
	
	if(farList.length === 0)
		{
		this.ship.lightsActive = false;
		return;
		}
		
	if(farList.length > 0)
		{
		var podCounter = 0 ; // reset the counter
		for(podCounter = 0;podCounter<farList.length;podCounter++)
			{ farList[podCounter].velocity = this.ship.position.subtract(farList[podCounter].position).direction().multiply(10) }
		}
	
	if(nearList.length > 0)
		{
		var podCounter = 0 ; // reset the counter
		for(podCounter = 0;podCounter<nearList.length;podCounter++)
			{ nearList[podCounter].velocity = [0,0,0]; }
		}
	this.ship.lightsActive = true;	
	}

this.shipWasScooped = function(scooper)
	{
	if(scooper.isPlayer && player.ship.missiles.length < player.ship.missileCapacity)
		{ 
		player.ship.awardEquipment("EQ_CARGO_SHEPHERD_MINE");	
		player.consoleMessage("Cargo Shepherd available for re-use", 4);
		}
	}
	
this.shipCollided = function(otherShip)
	{
	if(otherShip && this.ship.owner && otherShip === this.ship.owner)
		{ this.ship.AIState = "INERT"; }
	else
		{ this.ship.AIState = "WARNING"; }
	}